[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# PointsEqual

Check whether two TPoint variables are equal.

## Declaration

Source position: classesh.inc line 2211

`function PointsEqual(`
`const P1: TPoint;`
`const P2: TPoint`
`):Boolean; function PointsEqual(`
`const P1: TSmallPoint;`
`const P2: TSmallPoint`
`):Boolean;`

## Description

PointsEqual compares the P1 and P2 points (of type TPoint or TSmallPoint) and returns True if the X and Y coordinates of the points are equal, or False otherwise.

## See also

TPoint |  | Special type to handle a fake TComponent position
TSmallPoint |  | Type to describe point in a small plane.
InvalidPoint |  | Check whether a point is invalid.